CREATE TABLE koszyk (
    id SERIAL PRIMARY KEY,
    user_id INTEGER NOT NULL REFERENCES uzytkownicy(id),
    book_id INTEGER NOT NULL REFERENCES ksiazki(id),
    quantity INTEGER NOT NULL DEFAULT 1,
    created_at TIMESTAMP DEFAULT NOW(),
    UNIQUE(user_id, book_id)
);

CREATE TABLE zamowienia (
    id SERIAL PRIMARY KEY,
    user_id INTEGER NOT NULL REFERENCES uzytkownicy(id),
    data_zamowienia TIMESTAMP DEFAULT NOW(),
    status VARCHAR(50) DEFAULT 'Zakończone',
    suma_totalna DECIMAL(10, 2) NOT NULL
);

CREATE TABLE pozycje_zamowienia (
    id SERIAL PRIMARY KEY,
    zamowienie_id INTEGER NOT NULL REFERENCES zamowienia(id),
    book_id INTEGER NOT NULL REFERENCES ksiazki(id),
    ilosc INTEGER NOT NULL,
    cena DECIMAL(10, 2) NOT NULL
);

